BazaarLinkBazaarLink
เข้าสู่ระบบ
เอกสารAPI ข้อมูลอ้างอิงSDK ข้อมูลอ้างอิงการใช้งาน AgentAI ทักษะ
Social and Commerce Data

Submit social data

ดึงข้อมูลโซเชียลหรือคอมเมิร์ซสาธารณะตามแพลตฟอร์มและ action บริการกำลังจะเปิดตัวและปิดไว้เป็นค่าเริ่มต้น ผลลัพธ์ที่สำเร็จคิดค่าบริการครั้งเดียว ส่วนความล้มเหลวและไม่พบผลลัพธ์ไม่มีค่าใช้จ่าย

POST/v1/data/social

การอนุญาต

Authorizationจำเป็น
string · header

API key เป็น bearer token ใน header Authorization

Body

platformจำเป็น
string

รหัสแพลตฟอร์มจากแคตตาล็อก เช่น twitter หรือ instagram

actionจำเป็น
string

action ที่แพลตฟอร์มนั้นรองรับ ดูคู่ที่ใช้งานได้ในแคตตาล็อก

params
object

ข้อมูลนำเข้าสำหรับ action นั้น ๆ ใช้ required_params และ optional_params ในแคตตาล็อก

mode
sync | async

ไม่บังคับ async จะคืนงานให้โพล ส่วน action ที่รองรับเฉพาะแบบอะซิงโครนัสจะคืนงานแม้ไม่ระบุค่า

syncasync

คู่มือเชิงลึก →

POST /v1/data/social
curl https://api.bazaarlink.ai/v1/data/social \
  -H "Authorization: Bearer $BAZAARLINK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"platform":"twitter","action":"search","params":{"keyword":"BazaarLink","limit":5}}'
ตัวอย่างการตอบกลับ

ผลลัพธ์ data.social ที่เสร็จแล้ว พร้อม count, results และ usage.cost ใน USD

{
  "id": "req_example",
  "object": "data.social",
  "platform": "twitter",
  "action": "search",
  "count": 1,
  "results": [
    {
      "id": "post_example",
      "url": "https://x.com/someone/status/post_example",
      "text": "Example post",
      "like_count": 120,
      "reply_count": 8,
      "retweet_count": 14,
      "view_count": 5400,
      "posted_at": "2026-10-07T00:48:38+00:00",
      "author_username": "someone",
      "author_name": "Someone",
      "platform": "twitter"
    }
  ],
  "usage": {
    "cost": 0.0048
  }
}
Support
Support
Hi! How can we help you?
Send a message and we'll get back to you soon.